Debian Bug report logs - #643849
FTBFS on (backport to Squeeze of) nodejs built for i486 (on amd64 host)

version graph

Package: nodejs; Maintainer for nodejs is Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>; Source for nodejs is src:nodejs.

Reported by: Jonas Smedegaard <dr@jones.dk>

Date: Fri, 30 Sep 2011 11:33:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version 0.4.12-1

Done: Jérémy Lal <kapouer@melix.org>

Bug is archived. No further changes may be made.

Forwarded to https://github.com/joyent/node/issues/1333

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#643849; Package nodejs. (Fri, 30 Sep 2011 11:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
New Bug report received and forwarded. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Fri, 30 Sep 2011 11:33:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS on (backport to Squeeze of) nodejs built for i486 (on amd64 host)
Date: Fri, 30 Sep 2011 10:25:49 +0200
[Message part 1 (text/plain, inline)]
Package: nodejs
Version: 0.4.12-1
Severity: serious

Attached is a cowbuilder build log of a failed build for i386 (hardware
is amd64) on squeeze + backported libv8 for i386.


 - Jonas
[nodejs_0.4.12-1~0jones1_amd64.build. (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#643849; Package nodejs. (Fri, 30 Sep 2011 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <jerry@edagames.com>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Fri, 30 Sep 2011 11:45:07 GMT) Full text and rfc822 format available.

Message #10 received at 643849@bugs.debian.org (full text, mbox):

From: Jérémy Lal <jerry@edagames.com>
To: Jonas Smedegaard <dr@jones.dk>, 643849@bugs.debian.org
Subject: Re: Bug#643849: FTBFS on (backport to Squeeze of) nodejs built for i486 (on amd64 host)
Date: Fri, 30 Sep 2011 13:42:02 +0200
On 30/09/2011 10:25, Jonas Smedegaard wrote:
> Package: nodejs
> Version: 0.4.12-1
> Severity: serious
> 
> Attached is a cowbuilder build log of a failed build for i386 (hardware
> is amd64) on squeeze + backported libv8 for i386.
> 
> 
>  - Jonas

Not the first time i see this test fail.
I'll try to reproduce the failure and fix that test expectancy.

Jérémy.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#643849; Package nodejs. (Fri, 30 Sep 2011 12:27:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to 643849@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Fri, 30 Sep 2011 12:27:53 GMT) Full text and rfc822 format available.

Message #15 received at 643849@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 643849@bugs.debian.org
Subject: Re: Bug#643849: FTBFS on (backport to Squeeze of) nodejs built for i486 (on amd64 host)
Date: Fri, 30 Sep 2011 14:22:02 +0200
[Message part 1 (text/plain, inline)]
On 11-09-30 at 01:42pm, Jérémy Lal wrote:
> On 30/09/2011 10:25, Jonas Smedegaard wrote:
> > Package: nodejs
> > Version: 0.4.12-1
> > Severity: serious
> > 
> > Attached is a cowbuilder build log of a failed build for i386 (hardware
> > is amd64) on squeeze + backported libv8 for i386.
> > 
> > 
> >  - Jonas
> 
> Not the first time i see this test fail.
> I'll try to reproduce the failure and fix that test expectancy.

Cool!


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#643849; Package nodejs. (Sat, 01 Oct 2011 20:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <jerry@edagames.com>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sat, 01 Oct 2011 20:39:05 GMT) Full text and rfc822 format available.

Message #20 received at 643849@bugs.debian.org (full text, mbox):

From: Jérémy Lal <jerry@edagames.com>
To: 643849@bugs.debian.org
Subject: Re: Bug#643849: FTBFS on (backport to Squeeze of) nodejs built for i486 (on amd64 host)
Date: Sat, 01 Oct 2011 22:36:23 +0200
I can't reproduce it yet.
Maybe the timeouts are called too soon or too late. Could you try that patch ?@

diff --git a/test/simple/test-net-server-max-connections.js b/test/simple/test-net-server-max-connections.js
index f45c1e5..72cf324 100644
--- a/test/simple/test-net-server-max-connections.js
+++ b/test/simple/test-net-server-max-connections.js
@@ -96,7 +96,7 @@ function makeConnection(index) {
                      index + ' got data, but shouldn\'t have');
       }
     });
-  }, index);
+  }, 400 + index);
 }




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#643849; Package nodejs. (Tue, 11 Oct 2011 01:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Skøtt <martin@z3n.dk>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Tue, 11 Oct 2011 01:21:04 GMT) Full text and rfc822 format available.

Message #25 received at 643849@bugs.debian.org (full text, mbox):

From: Martin Skøtt <martin@z3n.dk>
To: 643849@bugs.debian.org
Subject: Re: Bug#643849: FTBFS on (backport to Squeeze of) nodejs built for i486 (on amd64 host)
Date: Tue, 11 Oct 2011 03:15:54 +0200
Jérémy,

I encountered the same error as Jonas when using pbuilder on i386
(with amd64 kernel) to build a backport for amd64.

I applied your patch and the build completed nicely.

-- 
Venlig hilsen/Kind regards
Martin Skøtt
Freelance software developer

http://www.z3n.dk || http://www.muscula.com




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#643849; Package nodejs. (Tue, 11 Oct 2011 08:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <jerry@edagames.com>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Tue, 11 Oct 2011 08:06:06 GMT) Full text and rfc822 format available.

Message #30 received at 643849@bugs.debian.org (full text, mbox):

From: Jérémy Lal <jerry@edagames.com>
To: 643849@bugs.debian.org
Subject: Re: Bug#643849: FTBFS on (backport to Squeeze of) nodejs built for i486 (on amd64 host)
Date: Tue, 11 Oct 2011 10:03:22 +0200
On 11/10/2011 03:15, Martin Skøtt wrote:
> Jérémy,
> 
> I encountered the same error as Jonas when using pbuilder on i386
> (with amd64 kernel) to build a backport for amd64.
> 
> I applied your patch and the build completed nicely.
> 


That's great, Jonas, do you confirm ?

Jérémy.




Set Bug forwarded-to-address to 'https://github.com/joyent/node/issues/1333'. Request was from Jérémy Lal <jerry@edagames.com> to control@bugs.debian.org. (Tue, 11 Oct 2011 10:52:17 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 23 Feb 2012 16:48:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#643849; Package nodejs. (Sat, 03 Mar 2012 14:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sat, 03 Mar 2012 14:54:03 GMT) Full text and rfc822 format available.

Message #39 received at 643849@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Jonas Smedegaard <dr@jones.dk>
Cc: <643849@bugs.debian.org>
Subject: Re: FTBFS on (backport to Squeeze of) nodejs built for i486 (on amd64 host)
Date: Sat, 03 Mar 2012 14:51:12 +0000
severity 643849 normal
thanks

On 30.09.2011 08:25, Jonas Smedegaard wrote:
> Package: nodejs
> Version: 0.4.12-1
> Severity: serious
>
> Attached is a cowbuilder build log of a failed build for i386 
> (hardware
> is amd64) on squeeze + backported libv8 for i386.

We don't require (or necessarily even expect) packages to build outside 
of the release they form part of.  Since nodejs was never part of 
squeeze, its failure to build there is in no way RC (similarly if it had 
been in squeeze and a newer version FTBFS when backported but the 
version in squeeze still built okay).

Regards,

Adam




Severity set to 'normal' from 'serious' Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 03 Mar 2012 14:54:09 GMT) Full text and rfc822 format available.

Reply sent to Jérémy Lal <kapouer@melix.org>:
You have taken responsibility. (Wed, 14 Aug 2013 07:03:05 GMT) Full text and rfc822 format available.

Notification sent to Jonas Smedegaard <dr@jones.dk>:
Bug acknowledged by developer. (Wed, 14 Aug 2013 07:03:05 GMT) Full text and rfc822 format available.

Message #46 received at 643849-done@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 643849-done@bugs.debian.org
Subject: Re: FTBFS on (backport to Squeeze of) nodejs built for i486 (on amd64 host)
Date: Wed, 14 Aug 2013 09:01:41 +0200
If it poses an issue again, the test is going to be allowed to fail.
Meanwhile, since it was opened on a version long ago, and replaced by
version 0.10.15~dfsg1-4, closing.

Jérémy.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Sep 2013 07:31:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:00:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.